Skip to main content
`Ctrl`+`K`

# PetscDualSpaceLagrangeSetTensor

Set the tensor nature of the dual space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceLagrangeSetTensor(PetscDualSpace sp, PetscBool tensor)

Not Collective

## Input Parameters

- sp - The `PetscDualSpace`

- tensor - Whether the dual space has tensor layout (vs. simplicial)

## See Also

`PETSCDUALSPACELAGRANGE`, `PetscDualSpace`, `PetscDualSpaceLagrangeGetTensor()`, `PetscDualSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c

## Implementations

PetscDualSpaceLagrangeSetTensor_Lagrange() in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceLagrangeSetTensor_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages